include: package:flutter_lints/flutter.yaml

analyzer:
  exclude:
    - '**/*.g.dart'
    - '**/*.freezed.dart'
  errors:
    # Freezed에서 JsonKey 어노테이션 사용 시 발생하는 경고 무시
    invalid_annotation_target: ignore

linter:
  rules:
    # 개발 중 print 문 허용
    avoid_print: false
